Chinaunix首页 | 论坛 | 博客
  • 博客访问: 555485
  • 博文数量: 66
  • 博客积分: 0
  • 博客等级: 民兵
  • 技术积分: 1810
  • 用 户 组: 普通用户
  • 注册时间: 2013-07-23 13:53
个人简介

linux

文章分类

全部博文(66)

文章存档

2016年(1)

2015年(14)

2014年(32)

2013年(19)

分类: LINUX

2013-08-08 20:22:52

1.安装完插出现的问题:  
Unfortunately ctypes can't be imported, so SublimeClang will not work.
2.解决办法:

在终端依次执行以下命令:
$ curl -kL  | bash
$ source "$HOME/.pythonbrew/etc/bashrc"
$ pythonbrew install --configure="--enable-unicode=ucs4" 2.6


$ sudo ln -s $HOME/.pythonbrew/pythons/Python-2.6/lib/python2.6/ /usr/lib/sublime-text-2/lib/python2.6 
$ mkdir -p .config/sublime-text-2/Packages/SublimeClang/src/build/
$ cd .config/sublime-text-2/Packages/SublimeClang/src/build/
$ cmake ..
$ make
OK.
转自:http://www.linux.org.ru/forum/development/8129453
阅读(6726) | 评论(5) | 转发(0) |
给主人留下些什么吧!~~

bljswpu2015-05-28 23:37:19

看了下错误信息 是从/home/tarena/.config/sublime-text-2/Packages/SublimeClang/translationunitcache.py 开始的 我直接在python下运行该脚本 没有报错  输出 
have sublimeclang package:1.0.41
have sublimeclang libcache:1.0.41
但是通过sublime启动  就会从该脚本报错

bljswpu2015-05-28 21:20:31

wangspace:要用Python2.6版本的

Reloading plugin /home/tarena/.config/sublime-text-2/Packages/SublimeClang/translationunitcache.py
Traceback (most recent call last):
  File \"./sublime_plugin.py\", line 62, in reload_plugin
  File \"./translationunitcache.py\", line 26, in <module>
    from clang import cindex
  File \"./clang/cindex.py\", line 65, in <module>
    fro

回复 | 举报

bljswpu2015-05-28 19:26:51

wangspace:要用Python2.6版本的

我当前的机子是python2.6.5 还是不行呢 是不是在make之后还要配置其他设置啊

回复 | 举报

wangspace2015-05-28 13:41:29

bljswpu:po主  你是怎么解决的  我通过你的方法 还是不能解决啊  https://github.com/quarnster/SublimeClang上面的回答和你的方案基本一样 但是我安装你的做  还是不能运行

要用Python2.6版本的

回复 | 举报

bljswpu2015-05-27 23:20:48

po主  你是怎么解决的  我通过你的方法 还是不能解决啊  https://github.com/quarnster/SublimeClang上面的回答和你的方案基本一样 但是我安装你的做  还是不能运行